Bug 528149 - Review Request:piccolo2d - Structured 2D graphics toolkit
Summary: Review Request:piccolo2d - Structured 2D graphics toolkit
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 523844
TreeView+ depends on / blocked
 
Reported: 2009-10-09 11:18 UTC by Alexander Kurtakov
Modified: 2009-10-17 05:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-17 05:13:59 UTC
Type: ---
overholt: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Alexander Kurtakov 2009-10-09 11:18:25 UTC
Spec URL: http://akurtakov.fedorapeople.org/piccolo2d.spec
SRPM URL: http://akurtakov.fedorapeople.org/piccolo2d-1.3-0.svn689.fc11.src.rpm
Description: A revolutionary way to create robust, full-featured graphical
applications in Java with striking visual effects such
as zooming, animation and multiple representations.

Comment 1 Alexander Kurtakov 2009-10-09 11:35:02 UTC
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1737849

Comment 2 Andrew Overholt 2009-10-09 14:47:44 UTC
I had to install maven-scm to get it to build.  Also, it would be nice if all of the BRs had versions on them so that the F-11 versions (which don't work) would not be used.

Also, please use an explicit svn revision when exporting and encode that revision number in the tarball name.

Comment 3 Alexander Kurtakov 2009-10-09 14:50:16 UTC
(In reply to comment #2)
> I had to install maven-scm to get it to build.  Also, it would be nice if all
> of the BRs had versions on them so that the F-11 versions (which don't work)
> would not be used.
Fixed.
> 
> Also, please use an explicit svn revision when exporting and encode that
> revision number in the tarball name.  
Fixed.

New sources:
Spec URL: http://akurtakov.fedorapeople.org/piccolo2d.spec
SRPM URL: http://akurtakov.fedorapeople.org/piccolo2d-1.3-0.svn691.1.fc11.src.rpm

Comment 4 Andrew Overholt 2009-10-09 15:25:48 UTC
Thanks.  Full review below.  Only one issue.

- licensing fine
- naming fine
- version fine
- release fine
- builds fine
- macros fine
- files good except marking piccolo2d as %doc
- 

X rpmlint output:

$ rpmlint /home/overholt/rpmbuild/RPMS/noarch/piccolo2d-1.3-0.svn689.fc11.noarch.rpm
piccolo2d.noarch: W: no-documentation
piccolo2d.noarch: W: non-conffile-in-etc /etc/maven/fragments/piccolo2d

The latter warning is okay to ignore but please mark license-piccolo.txt as %doc.

Comment 5 Andrew Overholt 2009-10-09 15:27:09 UTC
I will be on vacation starting tomorrow so in the interest of time, I appoint Jeff Johnston to approve this review when Alex comes back with an SRPM with the license file marked as %doc.  Jeff, you will know that this has been fixed when you build the package and run rpmlint on the resulting binary and do _not_ get:

piccolo2d.noarch: W: no-documentatio

Thanks.

Comment 6 Alexander Kurtakov 2009-10-09 16:02:19 UTC
(In reply to comment #5)
> I will be on vacation starting tomorrow so in the interest of time, I appoint
> Jeff Johnston to approve this review when Alex comes back with an SRPM with the
> license file marked as %doc.  Jeff, you will know that this has been fixed when
> you build the package and run rpmlint on the resulting binary and do _not_ get:
> 
> piccolo2d.noarch: W: no-documentatio
> 
> Thanks.  

Fixed.

New sources:
Spec URL: http://akurtakov.fedorapeople.org/piccolo2d.spec
SRPM URL:
http://akurtakov.fedorapeople.org/piccolo2d-1.3-0.svn691.2.fc11.src.rpm

Comment 7 Andrew Overholt 2009-10-09 16:19:32 UTC
Thanks, approved.  Belay that request, Jeff ;)

Comment 8 Alexander Kurtakov 2009-10-12 11:36:21 UTC
New Package CVS Request
=======================
Package Name: piccolo2d
Short Description: Structured 2D graphics toolkit 
Owners: akurtakov
Branches: F-12
InitialCC: akurtakov

Comment 9 Kevin Fenzi 2009-10-13 16:28:43 UTC
cvs done.

Comment 10 Alexander Kurtakov 2009-10-17 05:13:59 UTC
Build in rawhide and F-12.


Note You need to log in before you can comment on or make changes to this bug.